<script type="text/javascript" src="/js/cubix-ui-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-tip-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-button-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-shadow-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-popup-v3.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-grid-v2.0.source.js"></script>
<script type="text/javascript" src="/js/datepicker.js"></script>

<script type="text/javascript">
Cubix.ready = function () {
	new Cubix.Shadow($('content'));
	
	window.addEvent('domready', function() {
		new Picker.Date('input[name=date_from]', { pickerClass: 'datepicker', 
			positionOffset: { x: -10, y: 0 }, allowEmpty: true, format: 'd M Y' });
		new Picker.Date('input[name=date_to]', { pickerClass: 'datepicker', 
			positionOffset: { x: -10, y: 0 }, allowEmpty: true, format: 'd M Y' });
	});

	var popup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 400
	});
	
	var sendEbsmspopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Send', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Cancel', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 400
	});

	// var importPopup = new Cubix.Popup.Ajax({
	// 	abar: [
	// 		{ caption: 'Import', icon: 'accept', action: function () {
	// 				Cubix.Popup.Actions.SaveValid.bind(this)(function (resp) {
	// 					alert('Successfully imported!');
	// 				});
	// 			} },
	// 		{ caption: 'Cancel', icon: 'cancel', action: Cubix.Popup.Actions.Close }
	// 	],
	// 	width: 400
	// });

	
	var getFilterParams = function () {
		sform = 'search-form';
		var uri = new URI('?' + $(sform).toQueryString());

		return uri.get('data');
	};
	var commentsHistory = new Cubix.Popup.Ajax({
            abar: [
                { caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
            ],
            width: 970
        });
	window.commentsHistory = commentsHistory;

	var grid = Cubix.Grid.Instance = new Cubix.Grid('cx-grid', {
		identifier: { field: 'id' },
		header: [
			{ title: 'Phone Number', field: 'parsed_number', type: 'string', sortable: false, width: '250px' },
			{ title: 'Matches EF', field: 'matches_ef', type: 'TrunsactionStatus', sortable: false, width: '100px' },
			{ title: 'Contacts Count', field: 'contacts_count', type: 'int', sortable: false, width: '100px' },
			{ title: 'Date Added', field: 'date_added', type: 'string', sortable: false, width: '100px' },
			
			<? $bu_user = Zend_Auth::getInstance()->getIdentity(); ?>
			<? if ( in_array($bu_user->type, array('superadmin', 'admin')) ):?>
				{ title: 'Sales', field: 'username', type: 'string', sortable: false, width: '100px' }
			<? endif; ?>
		],
		sort: {
			field: 'pc.id',
			dir: 'asc'
		},
		actions: [ { width: 80 , type: 'remove', func: function (data) {
			if ( confirm('Are you sure you want to delete this row?') ) {
				this.overlay.disable();
				new Request({
					url: '<?= $this->baseUrl() ?>/ebsms/prospective-clients/remove?id=' + data.id,
					onSuccess: function (resp) {
						this.load();
					}.bind(this)
				}).send();
			}
		} },

		 { type: 'report', width: 80 ,func: function (data) {
			 window.commentsHistory.setTitle('Comments');
                window.commentsHistory.client_id = data.id;
                window.commentsHistory.load('<?= $this->baseUrl() ?>/ebsms/prospective-clients/comments?client_id=' + data.id, function () {
                    this.open();
                });

		} }

		
		],
		data: new Cubix.Grid.Loader({ url: '<?= $this->baseUrl() ?>/ebsms/prospective-clients/data', params: getFilterParams })
	});
	
	grid.addEvent('loaded', function () {
		$$('.total-count b').set('html', this.data.count);
	});
	
	new Cubix.Button($('btn-refresh'), { onClick: function () {
		grid.load();
	}, icon: 'refresh', caption: 'Search', classes: '' });

	
	var clearForm = function() {
		var inputs = $$('.c-filter-form')[0].getElements('input');

		inputs.each(function(input) {
			var input_type = input.get('type');
			if ( input_type != 'hidden' ) {
				if ( input_type == 'text' ) {
					input.set('value', '');
				}
				else {
					input.set('checked', '');
				}
			}
		});

		var selects = $$('.c-filter-form')[0].getElements('select');

		selects.each(function(select) {
			select.set('value', '');
		});
	};

	new Cubix.Button($('btn-reset'), { onClick: function () {cou
		clearForm();
		grid.load();
	}, icon: 'undo', caption: 'Reset Form', classes: 'ml20' });

	new Cubix.Button($('btn-create'), { onClick: function () {
		popup.setTitle('Add Number');
		popup.load('<?= $this->baseUrl() ?>/ebsms/prospective-clients/create', popup.open);
	}, icon: 'add', caption: 'Add number' });
	
	new Cubix.Button($('send-ebsms'), { onClick: function () {
		sendEbsmspopup.setTitle('Send EBSMS');
		sendEbsmspopup.load('<?= $this->baseUrl() ?>/ebsms/prospective-clients/send-ebsms', sendEbsmspopup.open);
	}, icon: 'msg_add', caption: 'Send EBSMS', classes: 'ml20' });
			
	// new Cubix.Button($('import'), { onClick: function () {
	// 	importPopup.setTitle('Import phone numbers');
	// 	importPopup.load('<?= $this->baseUrl() ?>/ebsms/prospective-clients/import', importPopup.open);
	// }, icon: 'add', caption: 'Import', classes: 'ml20' });
	
	var initFormSubmit = function() {
		var inputs = $$('.c-filter-form')[0].getElements('input');

		inputs.each(function(input) {
			var input_type = input.get('type');

			if ( input_type != 'hidden' ) {
				if ( input_type == 'text' ) {
					input.addEvent('keyup', function(event) {
						if( event.key == 'enter' ) {
							grid.load();
						}
					});
				}
			}
		});

		var selects = $$('.c-filter-form')[0].getElements('select');
	};

	initFormSubmit();
};
</script>

<div class="form-common gray c-filter-form">
	<form id="search-form" action="">
		<div class="fleft">
			<fieldset class="inner mb10">
				<legend>General</legend>
				<div class="inner">
					<label for="f-number">Number</label>
					<input name="number" id="f-number" class="txt w16" type="text" value="" />
				</div>
			
				<div class="inner">
					<label for="f-matches_ef">Matches EF DB</label>
					<select name="matches_ef" id="f-matches_ef" class='w10'>
						<option value=''></option>
						<option value='1'>yes</option>
						<option value='0'>no</option>
						
					</select>
				</div> 

				 <div class="inner">
                    <label for="f-contacts_count">Contact times</label>
                    <select name="contacts_count" id="f-contacts_count" class='w15'>
                        <option value=''>All</option>
                        <option value='0'>0</option>
                        <option value='1'>1</option>
                        <option value='2'>2</option>
                        <option value='3'>3</option>

                    </select>
                </div>
              	<div class="inner mb10">
					<label for="f-date-from">Date From</label>
					<input id="f-date-from" type="text" class="txt w14" name="date_from" value="" />
				</div>
				<div class="inner" style="padding-top:27px">
				-
				</div>
				<div class="inner mb10">
					<label for="f-date-to">Date To</label>
					<input id="f-date-to" type="text" class="txt w14" name="date_to" value="" />
				</div>
			</fieldset>

			<fieldset>
				<legend>Sales</legend>
				<? if ( $bu_user->type == 'superadmin' || $bu_user->type == 'admin'): ?>
					<div class="inner">
						<label for="f-sales-user-id-real">Sales Person</label>
						<select name="sales_user_id_real" id="f-sales-user-id-real" class="w14">
							<option value="">- any -</option>
							<?php $model = new Model_Moderators(); $sales = $model->getByType(array('sales clerk','sales', 'sales manager', 'admin', 'superadmin'), Cubix_Application::getId()) ?>
							<?php foreach($sales as $sale): ?>
								<option value="<?= $sale->id ?>" <?= ($sale->id == $this->filter_params['sales_user_id_real']) ? 'selected="selected"' : '' ?>><?= $sale->username ?></option>
							<?php endforeach; ?>
						</select>
					</div>
				<? endif; ?>
			</fieldset>
		</div>
		<div class='clear'></div>
		<a id="btn-refresh"></a>
		<a id="btn-reset"></a>
		<div class="clear"></div>
		
	</form>
</div>
<div class="action-bar mt10">
	<div class="fleft total-count" style="border: 1px solid gray; margin-top: 1px; padding: 3px 10px;">
		Count: <b>...</b>
	</div>
	<a id="btn-create"></a>
	<!-- <a id="send-ebsms"></a> -->
	<!-- <a id="import"></a> -->
	<div class="clear"></div>
</div>
<div id="ajax-dest">
	<div id="cx-grid">
	</div>
</div>
